<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <title>Task 24.30</title>
</head>

<body>
    <div class="container jumbotron">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h4>GIẢI PHƯƠNG TRÌNH BẬC 2</h4>
                <P>Phương trình bậc 2 có 3 tham số a, b và c</P>
            </div>
            <div class="col-sm-12">
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Nhập số A</label>
                    </div>
                    <div class="col-sm-10">
                        <input id="inp-a" class="form-control" type="text" placeholder="Nhập số a">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Nhập số B</label>
                    </div>
                    <div class="col-sm-10">
                        <input id="inp-b" class="form-control" type="text" placeholder="Nhập số b">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Nhập số C</label>
                    </div>
                    <div class="col-sm-10">
                        <input id="inp-c" class="form-control" type="text" placeholder="Nhập số c">
                    </div>
                </div>
            </div>
            <div class="col-sm-12 text-right">
                <input onclick="onBtnTimNghiem()" class="btn btn-success button-width w-25" type="button" value="Tìm nghiệm">
            </div>
            <div class="col-sm-12">
                <p>Kết qủa: </p>
                <p id="p-ketqua"></p>
            </div>
        </div>
</body>
<script>
    function onBtnTimNghiem() {
        var a = document.getElementById("inp-a").value;
        var b = document.getElementById("inp-b").value;
        var c = document.getElementById("inp-c").value;
        var vKetQua = document.getElementById("p-ketqua")
        vKetQua.style.display = "block"
        var delta = b * b - 4 * a * c;

        if (delta < 0) {
            vKetQua.style.color = "red";
            vKetQua.innerHTML = "Phương trình vô nghiệp";
        }
        else if (delta == 0) {
            var x = -b / 2 * a;

            vKetQua.innerHTML = "Phương trình có 1 nghiệm kép: x = " + x;
            vKetQua.style.color = "blue";

        }
        else if (delta > 0) {
            var x1 = (-b + Math.sqrt(delta)) / (2 * a);
            var x2 = (-b - Math.sqrt(delta)) / (2 * a);
            vKetQua.style.color = "green"
            vKetQua.innerHTML = "Phương trình có 2 nghiệm" + "<br>";
            vKetQua.innerHTML += " x1 = " + x1 + "<br>";
            vKetQua.innerHTML += " x2 = " + x2;
        }
    }
</script>

</html>